/* overwrite the browser standard settings */
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, caption {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent;
  /*overflow-y: auto;*/
}

/*
html - main element
body - whole display element

*/


html {
  background: #292929;
  height: 100%;
}

body {
  background-color: #292929;
  color: white;
  text-align: center;
  height: 100%;
  /* disable default reload on vertical scrolling */
  overscroll-behavior: none;
}


/* the white text HTMLElement */
b {
  margin: .1ex;
}


/* table styles 
 * white text without margin */
table b {
  margin: 0;
}

th {
  text-align: left;
}

td {
  text-align: left;
}

.settingsTable{
  text-align: left;
}

/* the centered container */
.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* menu overlay stuff - the sliding version */
.menuOverlayStyle {
  z-index: 2; /* Sit on top */
  transition: 1s;
  height: 100%;
  width: 0%;
  position: fixed;
  background-color: #292929; /* fallback color */
  background-color: rgba(41,41,41,.98);
  overflow-x: hidden; /* disable horizontal scroll */
}

.menuOverlayContentStyle {
  overflow-y: scroll;
  width: 100%;
  height: 100% -64px;
  position: relative;
  text-align: left;
  display: block;
}

.menuOverlayStyle a {
  margin: 1ex;
  margin-left: 2ex;
  text-decoration: none;
  font-size: 150%;
  color: #e51088;
  display: block;
}

/* Main Overlay Stuff */
.mainOverlayStyle {
  height: 100%;
  width: 0%;
  position: fixed;
  z-index: 1;
  background-color: #292929; /* fallback color */
  background-color: rgba(41,41,41,.98);
  overflow-x: hidden; /* disable horizontal scroll */
}

.mainOverlayContentStyle {
  padding-top: 1em;
  padding-bottom: 1em;
  width: 100%;
  height: calc(100% -64px);
  overflow-y: scroll;
  overflow-x: hidden; 
}

.mainOverlayStyle a {
  /* display:  inline-block; */
  padding: 1ex;
  padding-left: 2ex;
  font-size: 150%;
  color: #e51088;
}


/* Ask Overlay Stuff */
.askOverlayStyle {
  height: 100%;
  width: 0%;
  position: fixed;
  z-index: 3;
  background-color: #292929; /* fallback color */
  background-color: rgba(41,41,41,.98);
  overflow-x: hidden; /* disable horizontal scroll */
}

.askOverlayContentStyle {
  /*position: absolute;*/
  padding-top: 1em;
  padding-bottom: 1em;
  width: 100%;
  height: 100% -64px;
  overflow-y: scroll;
  overflow-x: hidden;
  display: block;
  align-items: center;

  /*top: 50%;
  left: 50%;
  -moz-transform: translateX(-50%) translateY(-50%);
  -webkit-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);*/
}

.askOverlayStyle a {
  padding: 1.3ex;
  text-decoration: none;
  font-size: 150%;
  color: #e51088;
  display: block;
}


/* 
schedule style
 */
 .scheduleContainer {
  text-align: left;
  padding: 1ch;
  overflow-x: auto; /* Feelix */
}
.scheduleContainer img {
  max-width: calc(100vw - 2ch);
}
.scheduleContainer h1 {
  font-size: 200%;
}
.scheduleContainer h2 {
  font-size: 170%;
}
.scheduleContainer h3 {
  font-size: 140%;
}
.scheduleContainer h4 {
  font-size: 120%;
}
.scheduleContainer ol {
  margin: 1ex;
  margin-left: 1.5em;
}
.scheduleContainer ul {
  margin: 1ex;
  margin-left: 1.5em;
}
.scheduleContainer a {
  padding: 0;
  font-size: 100%;
  display: inline;
}

/* the default headBar as table to
 * center text vertical */
.headBarParent {
  position: sticky;
  top: 0;
  display: flex;
  flex-wrap: nowrap; /* is default */
  justify-content: space-between;
  width: 100%;
  height: 64px;
  background-color: #e51088;
}

.headBarChild {
  height: 64px;
  min-width: 64px;
  overflow: hidden;
  text-overflow: ellipsis;
}

.qrImage{
  max-width:80vw;
  max-height: 80vh;
  width:auto;
  height:auto;
}

.logo {
  height: 64px;
  width: 64px;
}

/*animation for updateButton*/
.animate {margin: auto;
  animation: mymove 3s;}
  @keyframes mymove {
    100% {transform: rotate(360deg);}
  }

/* heading 1 */
h1 {
  color: white;
  line-height: 64px;
  font-size: 200%;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* grey as HTMLElement and as class */
grey {
  color: #595959
}
.grey { 
  color: #595959
}

.toggle {
  margin:0 0 0 0;
  position: relative;
  display: inline-block;
  width: 5rem;
  height: 2rem;
  margin: 1ex;
}

.toggle input {
  display: none;
}

/* checkbox style */
.roundButton {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  background-color: #595959;
  display: block;
  transition: all 0.3s;
  border-radius: 2rem;
  cursor: pointer;
}
.plot-content{
  background-color: #292929;
  width: 100vw;
  /*height: 100vw;*/
}

.roundButton:before {
  position: absolute;
  content: "";
  height: 1.6rem;
  width: 1.6rem;
  border-radius: 100%;
  display: block;
  left: 0.2rem;
  bottom: 0.2rem;
  background-color: white;
  transition: all 0.3s;
}

input:checked + .roundButton {
  background-color: #e51088;
}

input:checked + .alternativeSwitchColor {
  background-color: #ffc710;
}

input:checked + .roundButton:before  {
  transform: translate(2.9rem, 0);
}

textArea {
  color: black;
  background-color: white;
  margin: 5vw;
  display: block;
  height: 30hw;
  width: 89vw;
  font-size: large;
}

input {
  color: black;
  background-color: white;
  display: block;
  margin: 5vw;
  inline-size: 75vw;
  font-size: large;
}

.choosePlotBtns{
  color: white;
  width: 15%;
  border: #e51088;
  border-style: solid;
  border-radius: 1ex;
  margin-left: 0.5ex;
  margin-right: 0.5ex;
}

.text-image {
  height: 1.5em;
  margin-left: 1ex;
  display: inline-block;
}

.mainButton {
  font-size: 130%;
  color: white;
  background-color: #e51088;
  border: none;
  border-radius: 1ex;
  padding: 2ex;
  padding-top: 1ex;
  padding-bottom: 1ex;
  text-align: center;
  text-decoration: none;
  font-size-adjust: inherit;
  margin: 2ex;
}

.alternativeButtonColor {
  color: #292929;
  background-color: #ffc710;
}

.selectedButton {
  font-size: 100%;
  color: white;
  background-color: #e51088;
  border: #e51088;
  border-style: solid;
  border-radius: 1ex;
  padding: .5ex;
  padding-top: .8ex;
  padding-bottom: .5ex;
  text-align: center;
  display: inline-block;
}

.availableButton {
  font-size: 100%;
  color: white;
  background-color: #292929;
  border: #e51088;
  border-style: solid;
  border-radius: 1ex;
  padding: .5ex;
  padding-top: .8ex;
  padding-bottom: .5ex;
  text-align: center;
  display: inline-block;
}

.selectedPlotButton {
  background-color: #e51088;
}

.availablePlotButton {
  background-color: #292929;
}

.joerger{
  display: flex;
  padding-top: .5ex;
  height: 100px;
}

.disabledButton {
  font-size: 100%;
  color: #595959;
  background-color: #292929;
  border: #595959;
  border-style: double;
  border-radius: 1ex;
  padding: .5ex;
  padding-top: .8ex;
  padding-bottom: .5ex;
  text-align: center;
  display: inline-block;
}

.centerButton {
  display: block;
  margin: auto;
  margin-bottom: .5ex;
}


.hidden {
  display: none !important;
}

.spacedTable {
  margin: 1em;
  width: 95%;
}

.spacedTable td {
  padding-top: 0.4em;
  padding-bottom: 0.4em;
}
